<div>
    <h2>
        <span jhiTranslate="mpmApp.returDocument.home.title">Retur Documents</span>
        <button class="btn btn-primary float-right jh-create-entity create-retur-document" [routerLink]="['/', { outlets: { popup: ['retur-document-new'] } }]">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down"  jhiTranslate="mpmApp.returDocument.home.createLabel">
            Create new Retur Document
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="{{ 'mpmApp.returDocument.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <br/>
    <div class="table-responsive" *ngIf="returDocuments">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="iddocretur"><span jhiTranslate="mpmApp.returDocument.iddocretur">Iddocretur</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="idretur"><span jhiTranslate="mpmApp.returDocument.idretur">Idretur</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="doctype"><span jhiTranslate="mpmApp.returDocument.doctype">Doctype</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="doc"><span jhiTranslate="mpmApp.returDocument.doc">Doc</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="docname"><span jhiTranslate="mpmApp.returDocument.docname">Docname</span> <span class="fa fa-sort"></span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let returDocument of returDocuments ;trackBy: trackId">
                <td><a [routerLink]="['../retur-document', returDocument.id ]">{{returDocument.id}}</a></td>
                <td>{{returDocument.iddocretur}}</td>
                <td>{{returDocument.idretur}}</td>
                <td>{{returDocument.doctype}}</td>
                <td>
                    <a *ngIf="returDocument.doc" (click)="openFile(returDocument.docContentType, returDocument.doc)" jhiTranslate="entity.action.open">open</a>
                    <span *ngIf="returDocument.doc">{{returDocument.docContentType}}, {{byteSize(returDocument.doc)}}</span>
                </td>
                <td>{{returDocument.docname}}</td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../retur-document', returDocument.id ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'retur-document/'+ returDocument.id + '/edit'} }]"
                                replaceUrl="true"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'retur-document/'+ returDocument.id + '/delete'} }]"
                                replaceUrl="true"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
        <div *ngIf="returDocuments && returDocuments.length">
            <div class="row justify-content-center">
                <jhi-item-count [page]="page" [total]="queryCount" [itemsPerPage]="itemsPerPage"></jhi-item-count>
            </div>
            <div class="row justify-content-center">
                <ngb-pagination [collectionSize]="totalItems" [(page)]="page" (pageChange)="loadPage(page)"></ngb-pagination>
            </div>
        </div>
</div>
